Go to the latest version of this document.

# ``twisted`.`web`.`iweb`.`INonQueuedRequestFactory``

interface documentation

`class INonQueuedRequestFactory(Interface): (source)`

View In Hierarchy

A factory of `IRequest` objects that does not take a ``queued`` parameter.

Method | `__call__` | Create an `IRequest` that is operating on the given channel. There must only be one `IRequest` object processing at any given time on a channel.

def __call__(channel): (source)

Create an `IRequest` that is operating on the given channel. There must only be one `IRequest` object processing at any given time on a channel.

Parameters
channel:`twisted.web.http.HTTPChannel` | A `twisted.web.http.HTTPChannel` object.

Returns
`IRequest` | A request object.